<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "base_user_role".
 *
 * @property int $user_id
 * @property int $role_id
 * @property int $id
 */
class BaseUserRole extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'base_user_role';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id', 'role_id'], 'required'],
            [['user_id', 'role_id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'user_id' => 'User ID',
            'role_id' => 'Role ID',
            'id' => 'ID',
        ];
    }
}
